Package org.apache.sysds.runtime.matrix.operators

# Class RightScalarOperator

java.lang.Object
org.apache.sysds.runtime.matrix.operators.Operator
org.apache.sysds.runtime.matrix.operators.MultiThreadedOperator
org.apache.sysds.runtime.matrix.operators.ScalarOperator
org.apache.sysds.runtime.matrix.operators.RightScalarOperator

All Implemented Interfaces:
  `Serializable`

public class RightScalarOperator extends ScalarOperator
Scalar operator for scalar-matrix operations with scalar on the right-hand-side.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.ScalarOperator

`fn`

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

`sparseSafe`

## Constructor Summary

Constructors
Constructor
Description
`RightScalarOperator(ValueFunction p, double cst)`
`RightScalarOperator(ValueFunction p, double cst, int numThreads)`

## Method Summary

Modifier and Type
Method
Description
`double`
`executeScalar(double in)`
Apply the scalar operator over a given input value.
`ScalarOperator`
`setConstant(double cst)`
`ScalarOperator`
`setConstant(double cst, int numThreads)`
`String`
`toString()`

### Methods inherited from class org.apache.sysds.runtime.matrix.operators.ScalarOperator

`getConstant`

### Methods inherited from class org.apache.sysds.runtime.matrix.operators.MultiThreadedOperator

`getNumThreads, setNumThreads`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RightScalarOperator

public RightScalarOperator(ValueFunction p, double cst)

### RightScalarOperator

public RightScalarOperator(ValueFunction p, double cst, int numThreads)

## Method Details

### setConstant

public ScalarOperator setConstant(double cst)

Specified by:
  `setConstant` in class `ScalarOperator`

### setConstant

public ScalarOperator setConstant(double cst, int numThreads)

Specified by:
  `setConstant` in class `ScalarOperator`

### executeScalar

public double executeScalar(double in)
Description copied from class: `ScalarOperator`
Apply the scalar operator over a given input value.

Specified by:
  `executeScalar` in class `ScalarOperator`
Parameters:
  `in` - input value
Returns:
  result

### toString

public String toString()

Overrides:
  `toString` in class `Object`